Create embeddings
curl --request POST \
--url https://api.tokenfactory.nebius.com/v1/embeddings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"model": "<string>",
"input": "What's a nice vector, Victor?",
"encoding_format": "float",
"user": "<string>",
"service_tier": "auto",
"dimensions": 4096
}
EOFimport requests
url = "https://api.tokenfactory.nebius.com/v1/embeddings"
payload = {
"model": "<string>",
"input": "What's a nice vector, Victor?",
"encoding_format": "float",
"user": "<string>",
"service_tier": "auto",
"dimensions": 4096
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: '<string>',
input: 'What\'s a nice vector, Victor?',
encoding_format: 'float',
user: '<string>',
service_tier: 'auto',
dimensions: 4096
})
};
fetch('https://api.tokenfactory.nebius.com/v1/embeddings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"object": "embedding",
"embedding": [
0.0023064255,
-0.009327292,
-0.0028842222
],
"index": 0
}
],
"model": "BAAI/bge-en-icl",
"usage": {
"prompt_tokens": 8,
"total_tokens": 8
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}inference
Create embeddings
Creates a model response for the given text.
POST
/
v1
/
embeddings
Create embeddings
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
current project ID
Body
application/json
ID of the model to use.
Example:
"BAAI/bge-en-icl"
Input text to embed, encoded as a string or array of tokens.
Example:
"What's a nice vector, Victor?"
The format to return the embeddings in. Can be either float or base64.
A unique identifier representing your end-user.
The service tier to use for the request.
Available options:
auto, default, over-limit, flex, no-limit Examples:
"auto"
"flex"
The dimensions to use for the request.
Example:
4096
Response
OK
always 'list'.
The model used for the embedding.
Token usage stats.
Show child attributes
Show child attributes
List of Embedding objects
Show child attributes
Show child attributes
The service tier used for the request.
Available options:
auto, default, over-limit, flex, no-limit Was this page helpful?
⌘I